Update test data again; don't know why unfortunately.
[libdcp.git] / run / tests
index 243eee961b02337ddd4acfded1ef94b445245fd5..c5dcac62eb23d18dc6ec259f0fb214a31af9f6a3 100755 (executable)
--- a/run/tests
+++ b/run/tests
@@ -1,17 +1,17 @@
 #!/bin/bash -e
 #
-# Run our test suite, which (amongst other things)
-# builds a couple of DCPs.
-# The outputs are compared against the ones
-# in test/ref/DCP, and an error is given
-# if anything is different.
+# Run our test suite.
 
+# Private test data; this is stuff that is non-distributable
 private=../libdcp1-test-private
+# Work directory
 work=build/test
+# Path to dcpinfo tool
 dcpinfo=build/tools/dcpinfo
 
-export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:build/src:build/asdcplib/src
+export LD_LIBRARY_PATH=build/src:build/asdcplib/src:$LD_LIBRARY_PATH
 
+# Make sure we have the required tools
 for c in xmlsec1 xmldiff; do
   hash $c 2>/dev/null || { echo >&2 "$c required but not found; aborting"; exit 1; }
 done
@@ -34,20 +34,27 @@ if [ "$?" != "0" ]; then
     exit 1
 fi
 
-# Check the first DCP written by the unit tests
+# Check the DCP written by dcp_test1
 diff -ur test/ref/DCP/dcp_test1 $work/DCP/dcp_test1
 if [ "$?" != "0" ]; then
     echo "FAIL: files differ"
     exit 1
 fi
 
-# Check the second DCP written by the unit tests
-diff -ur test/ref/DCP/bar $work/DCP/bar
+# Check the DCP written by dcp_test2
+diff -ur test/ref/DCP/dcp_test2 $work/DCP/dcp_test2
 if [ "$?" != "0" ]; then
     echo "FAIL: files differ"
     exit 1
 fi
-    
+
+# Check the DCP written by encryption_test
+diff -ur test/ref/DCP/encryption_test $work/DCP/encryption_test
+if [ "$?" != "0" ]; then
+    echo "FAIL: files differ"
+    exit 1
+fi
+
 # Everything beyond this point needs $private to exist
 if [ ! -e "$private/info.log" ]; then
     echo ""
@@ -56,6 +63,8 @@ if [ ! -e "$private/info.log" ]; then
 fi
 
 # Run dcpinfo on all the DCPs in private/metadata, writing $work/info.log
+# This writes details of the CPLs and all subtitle details, so it checks
+# if the code is reading subtitle files correctly.
 rm -f $work/info.log
 for d in `find $private/metadata -mindepth 1 -maxdepth 1 -type d | sort -f -d`; do
     if [ `basename $d` != ".git" ]; then
@@ -74,8 +83,9 @@ if [ "$?" != "0" ]; then
     exit 1
 fi
 
-# Copy test/private into build/ then re-write the subtitles of every DCP using 
+# Copy $private into build/ then re-write the subtitles of every DCP using
 # $work/rewrite_subs.  This tests round-trip of subtitle reading/writing.
+# Note that all the subs in $private/metadata are Interop.
 rm -f $work/info2.log
 rm -rf $work/private
 mkdir $work/private
@@ -97,8 +107,16 @@ if [ "$?" != "0" ]; then
     exit 1
 fi
 
-# Dump the subs of JourneyToJah... (which has MXF-wrapped subtitles)
+# Dump the subs of JourneyToJah... (which has MXF-wrapped SMPTE subtitles)
 # and check that they are right
 $dcpinfo -s $private/data/JourneyToJah_TLR-1_F_EN-DE-FR_CH_51_2K_LOK_20140225_DGL_SMPTE_OV >> $work/jah.log
 
+# Parse some problematic subs and check that we get it right
+run/test/subs_in_out $private/TunaBoat_Icelandic_Reel1_V1_8sec.xml > $work/tuna.xml
+diff -q $private/TunaBoat_Icelandic_Reel1_V1_8sec.parsed.xml $work/tuna.xml
+if [ "$?" != "0" ]; then
+    echo "FAIL: output of parse check 1 invalid"
+    exit 1
+fi
+
 echo "PASS"